Skip to main content
POST
Create Query Folder

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

ID of the Project

Body

application/json

Folder creation request

folderName
string

Response

Folder created successfully

Represents a query folder

id
string

Unique identifier of the folder (UUID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

Display name of the folder

Example:

"Monthly Reports"

path
string

Full path of the folder in the hierarchy

Example:

"/reports/monthly"

parentId
string

ID of the parent folder, null if root-level

Example:

"550e8400-e29b-41d4-a716-446655440001"

createdAt
string

Timestamp when the folder was created (ISO 8601)

Example:

"2025-01-15T10:30:00Z"